Table of Contents

Class: RegisterUser | Twisted-0.17.4/twisted/forum/gadgets.py
--- | ---

This creates a new identity and perspective for the user.

Base Classes |
--- | ---
webcred.SessionPerspectiveMixin widgets.Form

Methods |
--- | ---
__init__ _doneIdentity _errIdentity display donePerspective process
| __init__

    __init__ ( self,  service )

| _doneIdentity

    _doneIdentity ( self,  result )

| _errIdentity

    _errIdentity ( self,  failure )

| display

    display ( self,  request )

| donePerspective

    donePerspective ( self,  result )

| process

    process (
            self,
            write,
            request,
            submit,
            name,
            password1,
            password2,
            signature,
            login_now,
            )

Exceptions |
--- | ---
widgets.FormInputError( "Your passwords do not match." )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:02 2002 by HappyDoc version 2.0